﻿using Syncfusion.XForms.Buttons;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using Xamarin.Forms;

namespace CheckBox_IndeterminateState
{
    public class MyCheckBox:SfCheckBox
    {

        public static readonly BindableProperty ControlWidthProperty = BindableProperty.Create(
            "ControlWidth", typeof(double), typeof(MyCheckBox), 0d, BindingMode.Default, null, null);

        public double ControlWidth
        {
            get { return (double)GetValue(ControlWidthProperty); }
            set { this.SetValue(ControlWidthProperty, value); }
        }

        public  MyCheckBox()
        {
            
        }

        protected override SizeRequest OnMeasure(double widthConstraint, double heightConstraint)
        {
            ControlWidth = widthConstraint;
            return base.OnMeasure(widthConstraint, heightConstraint);
        }

    }
    public partial class MainPage : ContentPage
    {
        public MainPage()
        {
            InitializeComponent();
        }
    }
}